package cpcns.dingZhi.zHUANTI.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.zHUANTI.model.zhaunTiDengJiDan;
import cpcns.dingZhi.zHUANTI.service.IZHUANTIService;
import cpcns.dingZhi.zHUANTI.service.IzhuanTiDengJiDanService;
import cpcns.dingZhi.zHUANTI.service.IzhuanTiSheBeiMaService;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"zhuanTiDengJiDanController"})
public class zhuanTiDengJiDanController extends DangAnBaseController {
  @Autowired
  private IZHUANTIService zHUANTIService;
  
  @Autowired
  private IzhuanTiSheBeiMaService zhuanTiSheBeiMaService;
  
  @Autowired
  private IzhuanTiDengJiDanService zhuanTiDengJiDanService;
  
  @Autowired
  private ICommonService commonService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    String menLei = request.getParameter("menLei");
    request.setAttribute("menLei", menLei);
    return "dingZhi/zHUANTI/jieYue/dengJiDan_list";
  }
  
  @RequestMapping({"/openInfo.do"})
  public String openInfo(HttpServletRequest request, HttpServletResponse response) {
    Integer hangBiaoShi = getIntParameter("hangBiaoShi");
    zhaunTiDengJiDan dengJiDan = new zhaunTiDengJiDan();
    String view = "dingZhi/zHUANTI/jieYue/dengJiDan_edit";
    if (hangBiaoShi != null && hangBiaoShi.intValue() > 0) {
      dengJiDan = (zhaunTiDengJiDan)this.zhuanTiDengJiDanService.getById(zhaunTiDengJiDan.class, hangBiaoShi);
    } else {
      String menLei = request.getParameter("menLei");
      Date date = new Date(System.currentTimeMillis());
      SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyyMMddHHmmss");
      String yhrsfm = simpleDateFormat.format(date);
      String dengJiDanHao = String.valueOf(yhrsfm) + (int)(Math.random() * 9000.0D);
      dengJiDan.setDengJiDanHao(dengJiDanHao);
      dengJiDan.setDengJiRiQi(new Date());
      User user = getCurrentUser();
      dengJiDan.setDengJiRen(user.getMingCheng());
      dengJiDan.setDengJiRenBiaoShi(user.getBiaoShi());
      JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
      dengJiDan.setDengJiRenBuMen(jg.getMingCheng());
      dengJiDan.setDengJiRenBuMenBiaoShi(jg.getBiaoShi());
      if (StringUtils.isNotBlank(menLei)) {
        String[] ml = menLei.split(",");
        dengJiDan.setMenLei(ml[0]);
      } else {
        dengJiDan.setMenLei("SWZHDA");
      } 
      request.setAttribute("menLei", menLei);
    } 
    request.setAttribute("dengJiDan", dengJiDan);
    return view;
  }
  
  @RequestMapping({"/toWenJianLiYong.do"})
  public String toWenJianLiYong(HttpServletRequest request) {
    String hangBiaoShis = request.getParameter("hangBiaoShis");
    String menLei = request.getParameter("menLei");
    request.setAttribute("hangBiaoShis", hangBiaoShis);
    request.setAttribute("menLei", menLei);
    return "dingZhi/zHUANTI/jieYue/liYongWenJian_list";
  }
  
  @RequestMapping({"/queryShenHe.do"})
  public String queryShenHe(HttpServletRequest request) throws Exception {
    return "dingZhi/zHUANTI/jieYue/ShenHe_list";
  }
  
  @RequestMapping({"/openShenHe.do"})
  public String openShenHe(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      zhaunTiDengJiDan dengJiShenQing = (zhaunTiDengJiDan)this.zhuanTiDengJiDanService.getById(zhaunTiDengJiDan.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      request.setAttribute("dengJiShenQing", dengJiShenQing);
      User user = getCurrentUser();
      StringBuffer sql = new StringBuffer();
      sql.append("select GUANLIANBIAOSHI,SHENHERENBIAOSHI,LIUZHUANZHUANGTAI from D_ZHUANTISHENHE where guanLianBiaoShi=").append(hangBiaoShi).append(" and shenHeRenBiaoShi=").append(user.getBiaoShi());
      List<Map<String, Object>> list = this.zhuanTiDengJiDanService.getListMap(sql.toString());
      if (list != null && list.size() > 0) {
        Map<String, Object> d = list.get(0);
        if (Integer.valueOf((String)d.get("LIUZHUANZHUANGTAI")).intValue() == 2) {
          request.setAttribute("state", Integer.valueOf(1));
        } else {
          request.setAttribute("state", Integer.valueOf(2));
        } 
      } 
    } 
    return "dingZhi/zHUANTI/jieYue/ShenHe_edit";
  }
  
  @RequestMapping({"/openChuRuKu.do"})
  public String openChuRuKu(HttpServletRequest request, HttpServletResponse response) {
    String djdHbs = request.getParameter("hangBiaoShi");
    String caoZuo = request.getParameter("caoZuo");
    request.setAttribute("djdHbs", djdHbs);
    request.setAttribute("caoZuo", caoZuo);
    return "dingZhi/zHUANTI/jieYue/chuRuKu";
  }
  
  @RequestMapping({"/getAll.do"})
  public void getAll(HttpServletRequest request, HttpServletResponse response, Model model) throws Exception {
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    User user = getCurrentUser();
    pageBase(model);
    PagerVO pagevo = this.zhuanTiDengJiDanService.query_SQL(user, this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "DENGJIRIQI"));
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi")
      .replaceAll("DENGJIDANHAO", "dengJiDanHao").replaceAll("SHENHEZHUANGTAI", "shenHeZhuangTai").replaceAll("FABUZHUANGTAI", "faBuZhuangTai")
      .replaceAll("FABUBUMEN", "faBuBuMen").replaceAll("DENGJIREN", "dengJiRen").replaceAll("BEIZHU", "beiZhu")
      .replaceAll("DENGJIRIQI", "dengJiRiQi").replaceAll("MENLEI", "menLei").replaceAll("JIEYUEQIXIAN", "jieYueQiXian").replaceAll("BIAOTI", "biaoTi");
    write(response, jsonString);
  }
  
  @RequestMapping({"/getWenJian.do"})
  public void getWenJian(HttpServletRequest request, HttpServletResponse response, Model model) throws Exception {
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    pageBase(model);
    String menLei = request.getParameter("menLei");
    String suoYou = request.getParameter("suoYou");
    String tableName = CommStatic.daoRuDaoChuTableName("3", "0", menLei, "");
    String ML = CommStatic.daoRuDaoChuMenLei(menLei);
    if (StringUtils.isNotBlank(tableName) && StringUtils.isNotBlank(ML)) {
      map.put("menLei", ML);
      if (StringUtils.isNotBlank(suoYou) && suoYou.equals("1")) {
        this.start = Integer.valueOf(0);
        this.number = Integer.valueOf(0);
      } 
      PagerVO pagevo = this.zhuanTiDengJiDanService.getWenJian(this.start, this.number, tableName, map, CommStatic.getOrderBy(request, "DENGJISHIJIAN"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi")
        .replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao")
        .replaceAll("MIJI", "miJi").replaceAll("CHENGWENRIQI", "chengWenRiQi")
        .replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("GUIDANGNIANDU", "guiDangNianDu")
        .replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("XUHAO", "xuHao").replaceAll("SHENGYULIANG", "shengYuLiang").replaceAll("JIEYUESHULIANG", "jieYueShuLiang")
        .replaceAll("CHUSHULIANG", "chuShuLiang").replaceAll("RUSHJULIANG", "ruShjuLiang").replaceAll("LINGQUREN", "lingQuRen").replaceAll("GUIHUANREN", "guiHuanRen");
      write(response, jsonString);
    } else {
      PagerVO pagevo = new PagerVO();
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      write(response, jsonString);
    } 
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, zhaunTiDengJiDan ZhuanTiDengJiDan) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String wenJianBiaoShis = request.getParameter("wenJianBiaoShis");
      String jieYueShuLiang = request.getParameter("jieYueShuLiang");
      String tableName = request.getParameter("tableName");
      if (ZhuanTiDengJiDan != null) {
        if (ZhuanTiDengJiDan.getHangBiaoShi() == null || ZhuanTiDengJiDan.getHangBiaoShi().equals("")) {
          ZhuanTiDengJiDan.setHangBiaoShi(Integer.valueOf(this.zhuanTiDengJiDanService.getPk(tableName)));
          ZhuanTiDengJiDan.setDengJiDanZhuangTai(Integer.valueOf(1));
          ZhuanTiDengJiDan.setShenHeZhuangTai(Integer.valueOf(0));
          ZhuanTiDengJiDan.setFaBuZhuangTai(Integer.valueOf(1));
        } 
        try {
          String quanZhongHao = getFtpQuanZong();
          this.zhuanTiDengJiDanService.saveOrUpdate(ZhuanTiDengJiDan);
          rm.setBeizhu("操作成功");
          rm.setSuccess(true);
          Integer integer = ZhuanTiDengJiDan.getHangBiaoShi();
          Boolean wjZt = this.zhuanTiDengJiDanService.saveWenJian(ZhuanTiDengJiDan.getHangBiaoShi(), wenJianBiaoShis, jieYueShuLiang);
          if (!wjZt.booleanValue())
            rm.setBeizhu("基本信息保存成功，借阅文件遇到问题，请重新操作！"); 
        } catch (Exception e) {
          e.printStackTrace();
          info = "保存失败！";
          rm.setSuccess(false);
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/delete.do"})
  public void remove(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      String info = "";
      try {
        zhaunTiDengJiDan sqd = (zhaunTiDengJiDan)this.zhuanTiDengJiDanService.getById(zhaunTiDengJiDan.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        StringBuffer delglwjSql = new StringBuffer();
        delglwjSql.append("delete D_ZHUANTISHENHEWENJIAN where dengJiDanBiaoShi=").append(sqd.getHangBiaoShi());
        this.commonService.update(delglwjSql.toString());
        this.zhuanTiDengJiDanService.deleteById(zhaunTiDengJiDan.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        rm.setSuccess(true);
        info = "删除成功！";
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/tiJiaoShenHe.do"})
  public void tiJiaoShenHe(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String mbHBS = "2232";
    String info = "";
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      try {
        StringBuffer getSLSql = new StringBuffer();
        getSLSql.append("select guanLianWenJianBiaoShi from D_ZHUANTISHENHEWENJIAN where dengJiDanBiaoShi =").append(hangBiaoShi);
        List glwjList = this.commonService.getList(getSLSql.toString());
        if (glwjList == null || glwjList.size() == 0) {
          info = "借阅单内文件信息为空，无法进行提交审核操作！";
          rm.setSuccess(false);
        } else {
          String kuaiSuShenHe = this.commonService.getInitVal("kuaiSuShenHe");
          if (kuaiSuShenHe.equals("1")) {
            StringBuffer sqls = new StringBuffer("update D_ZHUANTIDENGJIDAN set dengJiDanZhuangTai =2,shenHeZhuangTai=2 where hangBiaoShi = " + hangBiaoShi);
            this.commonService.update(sqls.toString());
            info = "申请单已审核完成.";
            rm.setSuccess(true);
          } else {
            zhaunTiDengJiDan djd = (zhaunTiDengJiDan)this.zhuanTiDengJiDanService.getById(zhaunTiDengJiDan.class, Integer.valueOf(hangBiaoShi));
            if (djd.getMenLei().equals("D_ZHUANTI_SWZHDA")) {
              mbHBS = "1832";
            } else if (djd.getMenLei().equals("D_ZHUANTI_SWZHTS")) {
              mbHBS = "2032";
            } else if (djd.getMenLei().equals("D_ZHUANTI_SWZHDT")) {
              mbHBS = "2232";
            } else if (djd.getMenLei().equals("D_ZHUANTI_SWZHQT")) {
              mbHBS = "1836";
            } 
            User user = getCurrentUser();
            String falg = this.zhuanTiDengJiDanService.addShenPiMoBan(Integer.valueOf(hangBiaoShi), mbHBS);
            if ("0".equals(falg)) {
              StringBuffer sqls = new StringBuffer("update D_ZHUANTIDENGJIDAN set dengJiDanZhuangTai =2,shenHeZhuangTai=1 where hangBiaoShi = " + hangBiaoShi);
              this.commonService.update(sqls.toString());
              info = "提交成功.";
              rm.setSuccess(true);
            } else {
              if ("1".equals(falg)) {
                info = "添加审核预设人员失败,请联系管理员！";
              } else if ("2".equals(falg)) {
                info = "没有相关的审批预设模板,请联系管理员！";
              } 
              rm.setSuccess(false);
            } 
          } 
        } 
      } catch (Exception e) {
        e.printStackTrace();
        info = "提交失败,请联系管理员！";
        rm.setSuccess(false);
      } 
    } else {
      info = "提交失败,请联系管理员！";
      rm.setSuccess(false);
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/saveShenHe.do"})
  public void saveShenHe(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    ResultMessage rm = new ResultMessage();
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      String wenJianHBS = request.getParameter("wenJianBiaoShis");
      String jieYueShuLiang = request.getParameter("jieYueShuLiang");
      String jieGuo = request.getParameter("jieGuo");
      String yiJian = request.getParameter("yiJian");
      String beiZhu = request.getParameter("beiZhu");
      try {
        Boolean wjZt = this.zhuanTiDengJiDanService.saveWenJian(Integer.valueOf(hangBiaoShi), wenJianHBS, jieYueShuLiang);
        if (!wjZt.booleanValue()) {
          rm.setInfo("修改借阅文件遇到问题，请重新操作！");
        } else {
          String falg = "false";
          if ("over".equals(falg)) {
            StringBuffer sql = new StringBuffer();
            if ("2".equals(jieGuo)) {
              sql.append("update D_ZHUANTIDENGJIDAN set shenHeZhuangTai = 2 where hangBiaoShi = " + hangBiaoShi);
            } else if ("1".equals(jieGuo)) {
              sql.append("update D_ZHUANTIDENGJIDAN set shenHeZhuangTai = 3 where hangBiaoShi = " + hangBiaoShi);
            } 
            this.commonService.update(sql.toString());
          } 
          rm.setInfo("审核遇到问题，请联系管理员！");
          rm.setSuccess(true);
        } 
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
      } 
      responseWriter(response, rm.toString());
    } else {
      rm.setInfo("行标识为空，请联系管理员！");
      rm.setSuccess(false);
      responseWriter(response, rm.toString());
    } 
  }
  
  @RequestMapping({"/chuRuKuSheBei.do"})
  public void chuRuKuSheBei(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String djdHbs = request.getParameter("djdHbs");
    String caoZuo = request.getParameter("caoZuo");
    String sheBeiMa = request.getParameter("sheBeiMa");
    String renYuanMingCheng = request.getParameter("renYuanMingCheng");
    String info = "";
    if (StringUtils.isNotBlank(sheBeiMa)) {
      try {
        StringBuffer getSbSql = new StringBuffer();
        getSbSql.append("select t.bianma,t.guanlianbiaoshi from D_ZHUANTISHEBIEMA t ,D_ZHUANTI w where t.guanlianbiaoshi=w.hangbiaoshi and w.zhuangtai not in(3,4 ) and t.bianma='").append(sheBeiMa).append("'");
        List sheBeiList = this.commonService.getList(getSbSql.toString());
        if (sheBeiList == null || sheBeiList.size() == 0) {
          if (caoZuo.equals("1")) {
            info = "该设备不存在，无法进行出库操作！";
          } else {
            info = "该设备不存在，无法进行归还操作！";
          } 
          rm.setSuccess(false);
        } else {
          StringBuffer getglwjSql = new StringBuffer();
          getglwjSql.append("select t.bianma,t.guanlianbiaoshi,g.hangbiaoshi,g.shuliang,g.chushuliang,g.rushjuliang,t.jieyuezhuangtai,g.lingquren,g.guihuanren from D_ZHUANTISHEBIEMA t ,D_ZHUANTI w,D_ZHUANTISHENHEWENJIAN g where t.guanlianbiaoshi=w.hangbiaoshi and w.zhuangtai not in(3,4 ) and t.guanlianbiaoshi=g.guanlianwenjianbiaoshi and g.dengjidanbiaoshi =").append(djdHbs)
            .append(" and t.bianma='").append(sheBeiMa).append("'");
          if (!caoZuo.equals("1"))
            getglwjSql.append(" and t.jieyuezhuangtai=1"); 
          List<Object[]> glwjList = this.commonService.getList(getglwjSql.toString());
          if (glwjList == null || glwjList.size() == 0) {
            if (caoZuo.equals("1")) {
              info = "该设备不在该登记单中，无法进行出库操作！";
            } else {
              info = "该设备不在该登记单中，无法进行归还操作！";
            } 
            rm.setSuccess(false);
          } else {
            Object object1 = "";
            Integer shuLiang = Integer.valueOf(0), chuShuLiang = Integer.valueOf(0), ruShuLiang = Integer.valueOf(0), jieYueZhuanTai = Integer.valueOf(0);
            Object object2 = "", object3 = "";
            for (int i = 0; i < glwjList.size(); i++) {
              Object[] glwj = glwjList.get(i);
              object1 = (StringUtils.isBlank((String)glwj[2]) || glwj[2].equals("null")) ? "" : glwj[2];
              shuLiang = Integer.valueOf((StringUtils.isBlank((String)glwj[3]) || glwj[3].equals("null")) ? 0 : Integer.valueOf((String)glwj[3]).intValue());
              chuShuLiang = Integer.valueOf((StringUtils.isBlank((String)glwj[4]) || glwj[4].equals("null")) ? 0 : Integer.valueOf((String)glwj[4]).intValue());
              ruShuLiang = Integer.valueOf((StringUtils.isBlank((String)glwj[5]) || glwj[5].equals("null")) ? 0 : Integer.valueOf((String)glwj[5]).intValue());
              jieYueZhuanTai = Integer.valueOf((StringUtils.isBlank((String)glwj[6]) || glwj[6].equals("null")) ? 0 : Integer.valueOf((String)glwj[6]).intValue());
              object2 = (StringUtils.isBlank((String)glwj[7]) || glwj[7].equals("null")) ? "" : glwj[7];
              object3 = (StringUtils.isBlank((String)glwj[8]) || glwj[8].equals("null")) ? "" : glwj[8];
            } 
            if (caoZuo.equals("1")) {
              if (shuLiang.intValue() <= chuShuLiang.intValue()) {
                info = "所借设备已超出所申请数量，无法出库！";
                rm.setSuccess(false);
              } else if (jieYueZhuanTai.intValue() == 1) {
                info = "该设备已出库，无法二次出库！";
                rm.setSuccess(false);
              } else {
                String ckUpdSql = "update D_ZHUANTISHEBIEMA set jieyuezhuangtai=1 where bianma='" + sheBeiMa + "'";
                String updLqr = "";
                if (StringUtils.isNotBlank((String)object2)) {
                  if (!object2.contains(renYuanMingCheng))
                    updLqr = ",lingquren='" + object2 + "," + renYuanMingCheng + "'"; 
                } else {
                  updLqr = ",lingquren='" + renYuanMingCheng + "'";
                } 
                String wjslUpdSql = "update D_ZHUANTISHENHEWENJIAN set CHUSHULIANG=" + (chuShuLiang.intValue() + 1) + " " + updLqr + " where hangbiaoshi=" + object1;
                String slSQL = "select g.hangbiaoshi, g.shuliang, g.chushuliang, g.rushjuliang from  D_ZHUANTISHENHEWENJIAN g where g.dengjidanbiaoshi =" + djdHbs;
                List<Object[]> slList = this.commonService.getList(slSQL);
                Integer sl = Integer.valueOf(0), csl = Integer.valueOf(0), zsl = Integer.valueOf(0);
                for (int j = 0; j < slList.size(); j++) {
                  Object[] slwj = slList.get(j);
                  sl = Integer.valueOf((StringUtils.isBlank((String)slwj[1]) || slwj[1].equals("null")) ? 0 : Integer.valueOf((String)slwj[1]).intValue());
                  csl = Integer.valueOf((StringUtils.isBlank((String)slwj[2]) || slwj[2].equals("null")) ? 0 : Integer.valueOf((String)slwj[2]).intValue());
                  zsl = Integer.valueOf(zsl.intValue() + sl.intValue() - csl.intValue());
                } 
                this.commonService.update(ckUpdSql.toString());
                this.commonService.update(wjslUpdSql.toString());
                if (zsl.intValue() <= 1) {
                  String updDjdSql = "update D_ZHUANTIDENGJIDAN set faBuZhuangTai='2' where hangbiaoshi=" + djdHbs;
                  this.commonService.update(updDjdSql.toString());
                  rm.setBeizhu("1");
                } 
                info = "该设备已出库";
                rm.setSuccess(true);
              } 
            } else if (jieYueZhuanTai.intValue() == 0) {
              info = "该设备已归还，无法二次归还！";
              rm.setSuccess(false);
            } else {
              String ckUpdSql = "update D_ZHUANTISHEBIEMA set jieyuezhuangtai=0 where bianma='" + sheBeiMa + "'";
              String updGhr = "";
              if (StringUtils.isNotBlank((String)object3)) {
                if (!object2.contains(renYuanMingCheng))
                  updGhr = ",guihuanren='" + object3 + "," + renYuanMingCheng + "'"; 
              } else {
                updGhr = ",guihuanren='" + renYuanMingCheng + "'";
              } 
              String wjslUpdSql = "update D_ZHUANTISHENHEWENJIAN set rushjuliang=" + (ruShuLiang.intValue() + 1) + " " + updGhr + " where hangbiaoshi=" + object1;
              String slSQL = "select g.hangbiaoshi, g.shuliang, g.chushuliang, g.rushjuliang from  D_ZHUANTISHENHEWENJIAN g where g.dengjidanbiaoshi =" + djdHbs;
              List<Object[]> slList = this.commonService.getList(slSQL);
              Integer sl = Integer.valueOf(0), csl = Integer.valueOf(0), rsl = Integer.valueOf(0), zsl = Integer.valueOf(0);
              for (int j = 0; j < slList.size(); j++) {
                Object[] slwj = slList.get(j);
                sl = Integer.valueOf((StringUtils.isBlank((String)slwj[1]) || slwj[1].equals("null")) ? 0 : Integer.valueOf((String)slwj[1]).intValue());
                csl = Integer.valueOf((StringUtils.isBlank((String)slwj[2]) || slwj[2].equals("null")) ? 0 : Integer.valueOf((String)slwj[2]).intValue());
                rsl = Integer.valueOf((StringUtils.isBlank((String)slwj[3]) || slwj[3].equals("null")) ? 0 : Integer.valueOf((String)slwj[3]).intValue());
                zsl = Integer.valueOf(zsl.intValue() + sl.intValue() - rsl.intValue());
              } 
              this.commonService.update(ckUpdSql.toString());
              this.commonService.update(wjslUpdSql.toString());
              if (zsl.intValue() <= 1) {
                String updDjdSql = "update D_ZHUANTIDENGJIDAN set faBuZhuangTai='3' where hangbiaoshi=" + djdHbs;
                this.commonService.update(updDjdSql.toString());
                rm.setBeizhu("1");
              } 
              info = "该设备已归还";
              rm.setSuccess(true);
            } 
          } 
        } 
      } catch (Exception e) {
        e.printStackTrace();
        info = "提交失败,请联系管理员！";
        rm.setSuccess(false);
      } 
    } else {
      info = "设备码为空,提交失败！";
      rm.setSuccess(false);
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
